package com.ufo.hy.agumaster;

import java.util.List;

import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import com.ufo.hy.agumaster.dao.StockMapper;
import com.ufo.hy.agumaster.entity.Stock;
import com.ufo.hy.agumaster.tool.IFengCrawler;

@SpringBootTest
class AgumasterApplicationTests {
	@Autowired
	private StockMapper mapper=null;
	
	@Test
	void test01_insert() {
		// Proxyconfiguration
		System.setProperty("http.proxyHost", "pkg.proxy.prod.jp.local");
		System.setProperty("http.proxyPort", "10080");
				
		IFengCrawler ifc=new IFengCrawler("http://app.finance.ifeng.com/list/stock.php?t=hs");
		
		List<Stock> stockList=ifc.getStockList();
		
		int i=0;
		for(Stock s:stockList) {
			i++;
			s.setId(i);
			
			mapper.insert(s);
		}
	}

}
